## Category Utilities

Category Utilities

## Functions

gboolean | e_categories_config_get_icon_for ()
void | e_categories_config_open_dialog_for_entry ()

## Description

## Functions

### e_categories_config_get_icon_for ()

    gboolean
    e_categories_config_get_icon_for (const gchar *category,
                                      GdkPixbuf **pixbuf);

Returns the icon configured for the given category.

#### Parameters

category | Category for which to get the icon. |
pixbuf | A pointer to where the pixbuf will be returned. |

#### Returns

the icon configured for the given category

### e_categories_config_open_dialog_for_entry ()

    void
    e_categories_config_open_dialog_for_entry
                                   (GtkEntry *entry);

This is a self-contained function that lets you open a popup dialog for the user to select a list of categories.

The `entry` parameter is used, at initialization time, as the list of initial categories that are selected in the categories selection dialog. Then, when the user commits its changes, the list of selected categories is put back on the entry widget.

#### Parameters

entry | a GtkEntry on which to get/set the categories list |

## Types and Values